# https://github.com/signalfx/splunk-otel-collector-chart
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: splunk-otel
spec:
  releaseName: splunk-otel
  chart:
    spec:
      chart: splunk-otel-collector
      version: "0.48.0"
      sourceRef:
        kind: HelmRepository
        name: splunk-otel-collector-chart
        namespace: flux-system
  interval: 30m
  install:
    remediation:
      retries: 3
  valuesFrom:
    - kind: Secret
      name: splunk-otel-hec-token
      valuesKey: splunk_platform_hec_token
      targetPath: splunkPlatform.token
      optional: false
  values:
    clusterName: ${cluster_name}
    splunkPlatform:
      endpoint: "https://splunk-hec.orvn.io:443/services/collector"
      index: internal_k8s
      logsEnabled: true
      metricsEnabled: false
      metricsIndex: product_k8s_metrics
      source: kubernetes

    logsEngine: otel
    # toggle on cloud metadata annotation
    cloudProvider: "${cloud_provider}"
    distribution: "${cloud_provider_distribution}"

    autodetect:
      prometheus: true
      istio: false

    otelAgent:
      enabled: true
      resources:
        limits:
          cpu: 400m
          # this number is gargantuan because of the in-memory buffering, not the otel collector itself, as best we can tell
          #> memory_limiter:
          #>   limit_mib: ${SPLUNK_MEMORY_LIMIT_MIB}
          memory: 1Gi

    clusterReceiver:
      enabled: false

    extraAttributes:
      custom:
        - name: cluster_name
          value: ${cluster_name}

    logsCollection:
      containers:
        enabled: true
        containerRuntime: "containerd"
        excludeAgentLogs: false